umbrello: RubyCodeComment Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
RubyCodeComment Class Reference

`#include <rubycodecomment.h>`

Inheritance diagram for RubyCodeComment:

## Public Member Functions
| RubyCodeComment (CodeDocument *doc, const QString &text=QString())
virtual | ~RubyCodeComment ()
QString | toString () const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | getNewEditorLine (int amount)
Public Member Functions inherited from CodeComment
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

class RubyCodeComment A Ruby code comment. There are two styles of comments: these are simply started with a hash and no terminating characters, or delimited by '=begin' and '=end' tags at the start of lines

## Constructor & Destructor Documentation

## ◆ RubyCodeComment()

RubyCodeComment::RubyCodeComment | ( | CodeDocument * | doc,
|  | const QString & | text = QString() )
| explicit

Constructors

## ◆ ~RubyCodeComment()

RubyCodeComment::~RubyCodeComment | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getNewEditorLine()

QString RubyCodeComment::getNewEditorLine | ( | int | amount | ) |
| virtual

A special version here because we want to not only indent the new line, but to add the "#" as well.

Reimplemented from TextBlock.

## ◆ toString()

QString RubyCodeComment::toString | ( |  | ) | const
| virtual

Returns
  QString

Reimplemented from TextBlock.

## ◆ unformatText()

QString RubyCodeComment::unformatText | ( | const QString & | text,
|  | const QString & | indent = QString() )
| virtual

UnFormat a long text string. Typically, this means removing the indentation (linePrefix) and/or newline chars from each line.

Reimplemented from TextBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/ruby/rubycodecomment.h
- umbrello/codegenerators/ruby/rubycodecomment.cpp